Bug 462391 - Cannot creative legacy packages: --nodirtokens still broken
Cannot creative legacy packages: --nodirtokens still broken
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 16:55 EDT by Peter Åstrand
Modified: 2009-01-07 04:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 05:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against RPM 4.0.4 (1010 bytes, patch)
2008-09-16 12:36 EDT, Peter Åstrand
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 56040 None None None Never

  None (edit)
Description Peter Åstrand 2008-09-15 16:55:11 EDT
This is a continuation of bug 56040. The --nodirtokens option is *still* broken. It creates packages with empty CPIO archives. I've verified this on:

* Red Hat 7.3 with rpm-4.0.4-7x.18
* Fedora Core 6 with rpm-4.4.2.1-2.fc6
* Fedora 8 with rpm-4.4.2.2-7.fc8

I've also verified that the ChangeLog for 4.4.2.3 doesn't mention anything about this. I can try the latest GIT as well, if necessary (but the build fails currently on my systems). 

It's easy to verify the problem: Just run rpm2cpio on the resulting package, and you will get something like:

07070100000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000b00000000TRAILER!!!

That is, no actual files.
Comment 1 Panu Matilainen 2008-09-16 05:10:32 EDT
Easily reproduced, easily fixed... Upstream now, Fedora will get it after the beta freeze.
Comment 2 Peter Åstrand 2008-09-16 12:36:15 EDT
Created attachment 316863 [details]
Patch against RPM 4.0.4

You are my hero! Thanks. 

Attaching a patch against RPM 4.0.4, if anyone's interested.
Comment 3 Panu Matilainen 2008-10-01 05:07:54 EDT
In rawhide now (rpm-4.5.90-0.git8514.1)

FWIW I've also applied it to rpm 4.4.x branch so the next maintenance release for that will get it too. rpm 4.0.4 isn't going to see maintenance releases I'm afraid :)
Comment 4 Fedora Update System 2009-01-07 04:28:39 EST
rpm-4.4.2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.